Debian Bug report logs - #492891
kfreebsd-image-7-686-smp: device ums is not in GENERIC kernel

version graph

Package: kfreebsd-7; Maintainer for kfreebsd-7 is (unknown);

Reported by: Hannes Hauswedell <bugzilla@soulrebel.in-berlin.de>

Date: Tue, 29 Jul 2008 17:06:04 UTC

Severity: normal

Fixed in versions kfreebsd-7/7.1~cvs20080806-1, kfreebsd-7/7.1~cvs20081006-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#492891; Package kfreebsd-image-7-686-smp. Full text and rfc822 format available.

Acknowledgement sent to Hannes Hauswedell <bugzilla@soulrebel.in-berlin.de>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hannes Hauswedell <bugzilla@soulrebel.in-berlin.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-image-7-686-smp: device ums is not in GENERIC kernel
Date: Tue, 29 Jul 2008 19:04:56 +0200
Package: kfreebsd-image-7-686-smp
Version: 7.0-4
Severity: normal


Support for usb-mice is not built into the default Debian kernels.
This is a problem because when debian init loads the ums-module
uhid has already assiciated with the usb-mouse.
Please add "device ums" to default kernel configurations.

Thank you!

-- System Information:
Debian Release: lenny/sid
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.0-1-686-smp
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages kfreebsd-image-7-686-smp depends on:
ii  kfreebsd-image-7.0-1-686-smp  7.0-4      kernel of FreeBSD 7.0 image

kfreebsd-image-7-686-smp recommends no packages.

kfreebsd-image-7-686-smp suggests no packages.

-- no debconf information




Bug reassigned from package `kfreebsd-image-7-686-smp' to `kfreebsd-7'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Wed, 30 Jul 2008 05:09:09 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Wed, 30 Jul 2008 06:03:02 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hannes Hauswedell <bugzilla@soulrebel.in-berlin.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 492891-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 492891-close@bugs.debian.org
Subject: Bug#492891: fixed in kfreebsd-7 7.1~cvs20080806-1
Date: Sat, 09 Aug 2008 13:36:55 +0000
Source: kfreebsd-7
Source-Version: 7.1~cvs20080806-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-7, which is due to be installed in the Debian FTP archive:

kfreebsd-7_7.1~cvs20080806-1.diff.gz
  to pool/main/k/kfreebsd-7/kfreebsd-7_7.1~cvs20080806-1.diff.gz
kfreebsd-7_7.1~cvs20080806-1.dsc
  to pool/main/k/kfreebsd-7/kfreebsd-7_7.1~cvs20080806-1.dsc
kfreebsd-7_7.1~cvs20080806.orig.tar.gz
  to pool/main/k/kfreebsd-7/kfreebsd-7_7.1~cvs20080806.orig.tar.gz
kfreebsd-source-7.1_7.1~cvs20080806-1_all.deb
  to pool/main/k/kfreebsd-7/kfreebsd-source-7.1_7.1~cvs20080806-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 492891@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 06 Aug 2008 20:34:46 +0200
Source: kfreebsd-7
Binary: kfreebsd-source-7.1 kfreebsd-headers-7.1-1 kfreebsd-image-7.1-1-amd64 ndiswrapper-modules-7.1-1-amd64 kfreebsd-image-7-amd64 kfreebsd-headers-7.1-1-amd64 kfreebsd-headers-7-amd64 kfreebsd-image-7.1-1-486 ndiswrapper-modules-7.1-1-486 kfreebsd-image-7-486 kfreebsd-headers-7.1-1-486 kfreebsd-headers-7-486 kfreebsd-image-7.1-1-686 ndiswrapper-modules-7.1-1-686 kfreebsd-image-7-686 kfreebsd-headers-7.1-1-686 kfreebsd-headers-7-686 kfreebsd-image-7.1-1-686-smp ndiswrapper-modules-7.1-1-686-smp kfreebsd-image-7-686-smp kfreebsd-headers-7.1-1-686-smp kfreebsd-headers-7-686-smp kfreebsd-image-7-586 kfreebsd-image-7-586-smp kfreebsd-image-7-amd64-generic kfreebsd-image-7-amd64-k8-smp kfreebsd-image-7-amd64-k8 kfreebsd-image-7-em64t-p4-smp kfreebsd-image-7-em64t-p4
Architecture: source all
Version: 7.1~cvs20080806-1
Distribution: experimental
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-7-486 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-amd64 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7.1-1 - Common architecture-specific header files for kernel of FreeBSD 7
 kfreebsd-headers-7.1-1-486 - header files for kernel of FreeBSD 7.1
 kfreebsd-headers-7.1-1-686 - header files for kernel of FreeBSD 7.1
 kfreebsd-headers-7.1-1-686-smp - header files for kernel of FreeBSD 7.1
 kfreebsd-headers-7.1-1-amd64 - header files for kernel of FreeBSD 7.1
 kfreebsd-image-7-486 - kernel of FreeBSD 7 image
 kfreebsd-image-7-586 - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7-586-smp - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7-686 - kernel of FreeBSD 7 image
 kfreebsd-image-7-686-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64 - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64-generic - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7-amd64-k8 - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7-amd64-k8-smp - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7-em64t-p4 - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7-em64t-p4-smp - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7.1-1-486 - kernel of FreeBSD 7.1 image
 kfreebsd-image-7.1-1-686 - kernel of FreeBSD 7.1 image
 kfreebsd-image-7.1-1-686-smp - kernel of FreeBSD 7.1 image
 kfreebsd-image-7.1-1-amd64 - kernel of FreeBSD 7.1 image
 kfreebsd-source-7.1 - source code for kernel of FreeBSD 7.1 with Debian patches
 ndiswrapper-modules-7.1-1-486 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.1-1-686 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.1-1-686-smp - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.1-1-amd64 - Ndiswrapper kFreeBSD module
Closes: 474762 492891
Changes: 
 kfreebsd-7 (7.1~cvs20080806-1) experimental; urgency=low
 .
   [ Petr Salinger ]
   * New upstream snapshot of RELENG_7
      - update of some patches
      - refresh remaining patches
      - 030_abi_cld.diff and 000_tcp.diff applied upstream
   * Reduce number of kernel-image flavours
   * Reenable ums driver in GENERIC. Closes: #492891.
   * Do not specify SMP in GENERIC, it is enabled on per flavour basis
   * Ship config file used for building corresponding flavour
   * libdb-dev is now a real package, build-depend only on it.
   * use and prefer freebsd-buildutils over freebsd7-buildutils.
     Closes: #474762.
   * add Vcs-* fields into debian/control.
   * redefine POLL_HUP to be distinct from POLL_ERR
 .
   [ Aurelien Jarno ]
   * Bumped Standards-Version to 3.8.0 (no changes).
   * debian/patches/*: convert to patchlevel p1 as requested by the new
     dpkg-source.
Checksums-Sha1: 
 6caee58353c31601eb8362d7c81a864d7beedf13 2309 kfreebsd-7_7.1~cvs20080806-1.dsc
 dd280de43f82cb6f47c5b4f2ba202dd356b8a21d 19031855 kfreebsd-7_7.1~cvs20080806.orig.tar.gz
 584dd958bea5531c23d6b72cc821f0954de03f46 31573 kfreebsd-7_7.1~cvs20080806-1.diff.gz
 b69e152013a8c14a91cc95de6844c7c04b82d767 18817578 kfreebsd-source-7.1_7.1~cvs20080806-1_all.deb
Checksums-Sha256: 
 5e20929d64735c73dd7160f7d81a009c507cead50661ef431cd166256dec74b5 2309 kfreebsd-7_7.1~cvs20080806-1.dsc
 8b4497a3a0af81e83f3da987b4e4a80d4c6590bd860a1e8e997d2dcd0ff3c99b 19031855 kfreebsd-7_7.1~cvs20080806.orig.tar.gz
 06ff8214484f38ad85ff9dcd3bd528944b7e142d850dd39b0005d0d34e88105d 31573 kfreebsd-7_7.1~cvs20080806-1.diff.gz
 f6121877b7e2d2d10e6a8ce731e2860e506c4d52c0d8b86c04b91e8a475f933a 18817578 kfreebsd-source-7.1_7.1~cvs20080806-1_all.deb
Files: 
 126aac44947f979dbce1695360172ab0 2309 devel optional kfreebsd-7_7.1~cvs20080806-1.dsc
 282eda3150b0e03f6ce3a784c36fd755 19031855 devel optional kfreebsd-7_7.1~cvs20080806.orig.tar.gz
 b747eb0d4faa0aacd0969ebd36c01a6a 31573 devel optional kfreebsd-7_7.1~cvs20080806-1.diff.gz
 1ec5cc90388f0d24b8a7abee981cb0e1 18817578 devel optional kfreebsd-source-7.1_7.1~cvs20080806-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFImf8fw3ao2vG823MRAjepAJ9hWyH5iyeTDA+IqAkBYboo9AWRSwCfdQaK
yFeZiAzP4R23y3kwdP9nUvo=
=yBQs
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Mon, 06 Oct 2008 15:15:22 GMT) Full text and rfc822 format available.

Notification sent to Hannes Hauswedell <bugzilla@soulrebel.in-berlin.de>:
Bug acknowledged by developer. (Mon, 06 Oct 2008 15:15:22 GMT) Full text and rfc822 format available.

Message #19 received at 492891-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 492891-close@bugs.debian.org
Subject: Bug#492891: fixed in kfreebsd-7 7.1~cvs20081006-1
Date: Mon, 06 Oct 2008 14:47:10 +0000
Source: kfreebsd-7
Source-Version: 7.1~cvs20081006-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-7, which is due to be installed in the Debian FTP archive:

kfreebsd-7_7.1~cvs20081006-1.diff.gz
  to pool/main/k/kfreebsd-7/kfreebsd-7_7.1~cvs20081006-1.diff.gz
kfreebsd-7_7.1~cvs20081006-1.dsc
  to pool/main/k/kfreebsd-7/kfreebsd-7_7.1~cvs20081006-1.dsc
kfreebsd-7_7.1~cvs20081006.orig.tar.gz
  to pool/main/k/kfreebsd-7/kfreebsd-7_7.1~cvs20081006.orig.tar.gz
kfreebsd-source-7.1_7.1~cvs20081006-1_all.deb
  to pool/main/k/kfreebsd-7/kfreebsd-source-7.1_7.1~cvs20081006-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 492891@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Oct 2008 16:32:51 +0200
Source: kfreebsd-7
Binary: kfreebsd-source-7.1 kfreebsd-headers-7.1-1 kfreebsd-image-7.1-1-amd64 ndiswrapper-modules-7.1-1-amd64 kfreebsd-image-7-amd64 kfreebsd-headers-7.1-1-amd64 kfreebsd-headers-7-amd64 kfreebsd-image-7.1-1-486 ndiswrapper-modules-7.1-1-486 kfreebsd-image-7-486 kfreebsd-headers-7.1-1-486 kfreebsd-headers-7-486 kfreebsd-image-7.1-1-686 ndiswrapper-modules-7.1-1-686 kfreebsd-image-7-686 kfreebsd-headers-7.1-1-686 kfreebsd-headers-7-686 kfreebsd-image-7.1-1-686-smp ndiswrapper-modules-7.1-1-686-smp kfreebsd-image-7-686-smp kfreebsd-headers-7.1-1-686-smp kfreebsd-headers-7-686-smp kfreebsd-image-7-586 kfreebsd-image-7-586-smp kfreebsd-image-7-amd64-generic kfreebsd-image-7-amd64-k8-smp kfreebsd-image-7-amd64-k8 kfreebsd-image-7-em64t-p4-smp kfreebsd-image-7-em64t-p4
Architecture: source all
Version: 7.1~cvs20081006-1
Distribution: experimental
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-7-486 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-amd64 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7.1-1 - Common architecture-specific header files for kernel of FreeBSD 7
 kfreebsd-headers-7.1-1-486 - header files for kernel of FreeBSD 7.1
 kfreebsd-headers-7.1-1-686 - header files for kernel of FreeBSD 7.1
 kfreebsd-headers-7.1-1-686-smp - header files for kernel of FreeBSD 7.1
 kfreebsd-headers-7.1-1-amd64 - header files for kernel of FreeBSD 7.1
 kfreebsd-image-7-486 - kernel of FreeBSD 7 image
 kfreebsd-image-7-586 - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7-586-smp - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7-686 - kernel of FreeBSD 7 image
 kfreebsd-image-7-686-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64 - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64-generic - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7-amd64-k8 - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7-amd64-k8-smp - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7-em64t-p4 - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7-em64t-p4-smp - kernel of FreeBSD 7 image (transitional package)
 kfreebsd-image-7.1-1-486 - kernel of FreeBSD 7.1 image
 kfreebsd-image-7.1-1-686 - kernel of FreeBSD 7.1 image
 kfreebsd-image-7.1-1-686-smp - kernel of FreeBSD 7.1 image
 kfreebsd-image-7.1-1-amd64 - kernel of FreeBSD 7.1 image
 kfreebsd-source-7.1 - source code for kernel of FreeBSD 7.1 with Debian patches
 ndiswrapper-modules-7.1-1-486 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.1-1-686 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.1-1-686-smp - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.1-1-amd64 - Ndiswrapper kFreeBSD module
Closes: 474762 492891
Changes: 
 kfreebsd-7 (7.1~cvs20081006-1) experimental; urgency=low
 .
   [ Petr Salinger ]
   * New upstream snapshot of RELENG_7
      - update of some patches
      - refresh remaining patches
      - 030_abi_cld.diff and 000_*.diff applied upstream
   * Reduce number of kernel-image flavours
   * Reenable ums driver in GENERIC. Closes: #492891.
   * Do not specify SMP in GENERIC, it is enabled on per flavour basis
   * Ship config file used for building corresponding flavour
   * libdb-dev is now a real package, build-depend only on it.
   * use and prefer freebsd-buildutils over freebsd7-buildutils.
     Closes: #474762.
   * add Vcs-* fields into debian/control.
   * redefine POLL_HUP to be distinct from POLL_ERR
 .
   [ Aurelien Jarno ]
   * Bumped Standards-Version to 3.8.0 (no changes).
   * debian/patches/*: convert to patchlevel p1 as requested by the new
     dpkg-source.
Checksums-Sha1: 
 ac742eb00d11398bb5fce853f98060bf52f7bdd2 2309 kfreebsd-7_7.1~cvs20081006-1.dsc
 789874f735c1ec038cca600de41005d90447da88 19330488 kfreebsd-7_7.1~cvs20081006.orig.tar.gz
 f5636ab84e09591746a67cce964123513cb47455 30226 kfreebsd-7_7.1~cvs20081006-1.diff.gz
 a6e438a3d71a17762893251cedc5c2685d2bcde5 19201922 kfreebsd-source-7.1_7.1~cvs20081006-1_all.deb
Checksums-Sha256: 
 0191c83cfb316fc4977d487ee381ac53f53037ee10b6402e5e59f14a93aa262a 2309 kfreebsd-7_7.1~cvs20081006-1.dsc
 586f795c67223bcb1d8b5696bb80b6e9dbedac5b1f6c415bed115549ed3ba947 19330488 kfreebsd-7_7.1~cvs20081006.orig.tar.gz
 dce83d02b38f9197cfb9f52655aec2ca112d34dccb7f33d71b386bdcdbef5fac 30226 kfreebsd-7_7.1~cvs20081006-1.diff.gz
 ee4c7ede20f74c6582bc321ae56bd75c0fa9f5c711755f9d5b13e5615c3a7e49 19201922 kfreebsd-source-7.1_7.1~cvs20081006-1_all.deb
Files: 
 668e7b9656707c37e375302a1deef9dc 2309 devel optional kfreebsd-7_7.1~cvs20081006-1.dsc
 d6d56f28496a33719d6951f142036735 19330488 devel optional kfreebsd-7_7.1~cvs20081006.orig.tar.gz
 f9040909388858242c8873714ff8605f 30226 devel optional kfreebsd-7_7.1~cvs20081006-1.diff.gz
 6120af3fe65ddc8864d68f8c516f3e80 19201922 devel optional kfreebsd-source-7.1_7.1~cvs20081006-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFI6iMLw3ao2vG823MRAsbFAJwMKLbeMwHyK9iKaFY9NKmVEDrXvACfYxWa
0DDiDqR2l7Gb6WKRcP6j7nc=
=7M54
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Nov 2008 07:34:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:08:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.